## amateur80lvl-lxcex.zip

=== packages/uidmapshift/Makefile ===
prefix = /usr

LDADD = -z relro -z now


all: uidmapshift

uidmapshift: uidmapshift.c
	@echo "CFLAGS=$(CFLAGS)" | \
		fold -s -w 70 | \
		sed -e 's/^/# /'
	$(CC) $(CPPFLAGS) $(CFLAGS) $(LDCFLAGS) $(LDADD) -o $@ $^

install: uidmapshift
	install -D uidmapshift \
		$(DESTDIR)$(prefix)/bin/uidmapshift

clean:
	-rm -f uidmapshift

distclean: clean

uninstall:
	-rm -f $(DESTDIR)$(prefix)/bin/uidmapshift

.PHONY: all install clean distclean uninstall

=== packages/uidmapshift/debian/changelog ===
uidmapshift (27-1) daedalus; urgency=low

  * Packaged.

 -- Anonymous <anonymous@example.com>  Sat, 27 Jan 2024 13:41:48 +0000

=== packages/uidmapshift/debian/control ===
Source: uidmapshift
Section: utils
Priority: optional
Maintainer: Anonymous Person <amateur80lvl@gmail.org>
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.6.2
Homepage: http://bazaar.launchpad.net/~serge-hallyn/+junk/nsexec/view/head:/uidmapshift.c
Rules-Requires-Root: no
#Vcs-Git: https://
Vcs-Browser: https://github.com/amateur80lvl/lxcex/packages/uidmapshift

Package: uidmapshift
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: shift user/group ids
 A simple utility to shift user/group ids.
 Useful for creating unprivileged LXC containers.

=== packages/uidmapshift/debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE = 1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@

#override_dh_auto_install:
#	dh_auto_install -- prefix=/usr

#override_dh_install:
#	dh_install --list-missing -X.pyc -X.pyo
